--AH:ScriptId=5d5b81c5-883a-4c3e-a883-31451ad2eb08;524
CREATE TABLE [LicenseKeys]
(
	[LicenseKey_Text] CHAR(36) NOT NULL,
	[ActivationCode_Text] VARCHAR(MAX),
	[AddedBy_User_Name] USERNAME,
	[AddedOn_Date] DATETIME,
	[ActivatedBy_User_Name] USERNAME,
	[ActivatedOn_Date] DATETIME,
	CONSTRAINT [PK__LicenseKeys]
		PRIMARY KEY ([LicenseKey_Text])
)

GO

DECLARE @LicenseKey_Text AS VARCHAR(MAX)

SELECT @LicenseKey_Text = [Value_Text]
  FROM [Configuration]
 WHERE [Scope_Name] = 'CoreEx'
   AND [Key_Name] = 'LicenseKey'

DECLARE @ActivationCode_Text AS VARCHAR(MAX)

SELECT @ActivationCode_Text = [Value_Text]
  FROM [Configuration]
 WHERE [Scope_Name] = 'CoreEx'
   AND [Key_Name] = 'ActivationCode'

IF @LicenseKey_Text IS NOT NULL AND @LicenseKey_Text <> ''
BEGIN
	IF @ActivationCode_Text IS NULL OR @ActivationCode_Text = ''
	BEGIN
		INSERT INTO [LicenseKeys]
		(
			[LicenseKey_Text],
			[AddedBy_User_Name],
			[AddedOn_Date]
		)
		VALUES
		(
			@LicenseKey_Text,
			'SYSTEM',
			GETDATE()
		)
	END
	ELSE
	BEGIN
		INSERT INTO [LicenseKeys]
		(
			[LicenseKey_Text],
			[AddedBy_User_Name],
			[AddedOn_Date],
			[ActivationCode_Text],
			[ActivatedBy_User_Name],
			[ActivatedOn_Date]
		)
		VALUES
		(
			@LicenseKey_Text,
			'SYSTEM',
			GETDATE(),
			@ActivationCode_Text,
			'SYSTEM',
			GETDATE()
		)
	END
END

GO

DELETE [Configuration]
 WHERE [Scope_Name] = 'CoreEx'
   AND ([Key_Name] = 'LicenseKey' OR [Key_Name] = 'ActivationCode')