--AH:ScriptId=19b69ede-548e-404e-8dd5-6ee592206225;596
DELETE [VariableDefinitions] 
 WHERE ([Environment_Id] IS NOT NULL AND [Environment_Id] NOT IN (SELECT [Environment_Id] FROM [Environments]))
    OR ([Server_Id] IS NOT NULL AND [Server_Id] NOT IN (SELECT [Server_Id] FROM [Servers]))
    OR ([ApplicationGroup_Id] IS NOT NULL AND [ApplicationGroup_Id] NOT IN (SELECT [ApplicationGroup_Id] FROM [ApplicationGroups]))
    OR ([Application_Id] IS NOT NULL AND [Application_Id] NOT IN (SELECT [Application_Id] FROM [Applications]))
    OR ([Deployable_Id] IS NOT NULL AND [Deployable_Id] NOT IN (SELECT [Deployable_Id] FROM [Deployables]))
    OR ([Release_Number] IS NOT NULL AND NOT EXISTS (SELECT * FROM [Releases] WHERE [Application_Id] = [VariableDefinitions].[Application_Id]
                                                                                AND [Release_Number] = [VariableDefinitions].[Release_Number]))
    OR ([Build_Number] IS NOT NULL AND NOT EXISTS (SELECT * FROM [Builds]  WHERE [Application_Id] = [VariableDefinitions].[Application_Id]
                                                                             AND [Release_Number] = [VariableDefinitions].[Release_Number]
                                                                             AND [Build_Number] = [VariableDefinitions].[Build_Number]))
    OR ([Build_Number] IS NOT NULL AND [Environment_Id] IS NOT NULL AND NOT EXISTS (SELECT * FROM [BuildPromotions] WHERE [Application_Id] = [VariableDefinitions].[Application_Id]
                                                                                                                      AND [Release_Number] = [VariableDefinitions].[Release_Number]
                                                                                                                      AND [Build_Number] = [VariableDefinitions].[Build_Number]
                                                                                                                      AND [Environment_Id] = [VariableDefinitions].[Environment_Id]))
    
ALTER TABLE [VariableDefinitions] 
  ADD CONSTRAINT [FK__VariableDefinitions__Environments] 
      FOREIGN KEY ([Environment_Id]) 
      REFERENCES [Environments] ([Environment_Id])

ALTER TABLE [VariableDefinitions] 
  ADD CONSTRAINT [FK__VariableDefinitions__Servers]
      FOREIGN KEY ([Server_Id])
      REFERENCES [Servers] ([Server_Id])

ALTER TABLE [VariableDefinitions]
  ADD CONSTRAINT [FK__VariableDefinitions__ApplicationGroups]
      FOREIGN KEY ([ApplicationGroup_Id]) 
      REFERENCES [ApplicationGroups] ([ApplicationGroup_Id])

ALTER TABLE [VariableDefinitions] 
  ADD CONSTRAINT [FK__VariableDefinitions__Applications] 
      FOREIGN KEY ([Application_Id])
      REFERENCES [Applications] ([Application_Id])

ALTER TABLE [VariableDefinitions] 
  ADD CONSTRAINT [FK__VariableDefinitions__Deployables] 
      FOREIGN KEY ([Deployable_Id]) 
      REFERENCES [Deployables] ([Deployable_Id])

ALTER TABLE [VariableDefinitions] 
      ADD CONSTRAINT [FK__VariableDefinitions__Releases]
      FOREIGN KEY ([Application_Id], [Release_Number])
      REFERENCES [Releases] ([Application_Id], [Release_Number])

ALTER TABLE [VariableDefinitions] 
  ADD CONSTRAINT [FK__VariableDefinitions__Builds]
      FOREIGN KEY ([Application_Id], [Release_Number], [Build_Number])
      REFERENCES [Builds] ([Application_Id], [Release_Number], [Build_Number])

ALTER TABLE [VariableDefinitions] 
  ADD CONSTRAINT [FK__VariableDefinitions__BuildPromotions]
      FOREIGN KEY ([Application_Id], [Release_Number], [Build_Number], [Environment_Id])
      REFERENCES [BuildPromotions] ([Application_Id], [Release_Number], [Build_Number], [Environment_Id])

ALTER TABLE [VariableDefinitions]
  ADD CONSTRAINT [FK__VariableDefinitions__BuildExecutions]
      FOREIGN KEY ([Execution_Id])
      REFERENCES [BuildExecutions] ([Execution_Id])