EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'BuildTestResults_GetTestResults',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'BuildTestResults_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the build test results based on the specified criteria.'
GO


IF OBJECT_ID('[BuildTestResults_GetTestResults]') IS NOT NULL DROP PROCEDURE [BuildTestResults_GetTestResults]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [BuildTestResults_GetTestResults]
(
	@Execution_Id INT,
	@Group_Name VARCHAR(50) = NULL
)
AS
BEGIN

	SET NOCOUNT ON


	SELECT *
	  FROM [BuildTestResults_Extended]
	 WHERE [Execution_Id] = @Execution_Id
       AND (@Group_Name IS NULL OR [Group_Name] = @Group_Name)
	ORDER BY [Group_Name], [Test_Sequence]

END
GO

GRANT EXECUTE ON [BuildTestResults_GetTestResults] TO [BuildMasterUser_Role]
