EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'ConfigurationFiles_ImportConfigurationFileVersion',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Imports a configuration file version.'
GO

IF OBJECT_ID('[ConfigurationFiles_ImportConfigurationFileVersion]') IS NOT NULL DROP PROCEDURE [ConfigurationFiles_ImportConfigurationFileVersion]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ConfigurationFiles_ImportConfigurationFileVersion]
(
	@ConfigurationFile_Id INT,
	@Instance_Name VARCHAR(100),
	@Version_Number INT,
	@VersionNotes_Text VARCHAR(500),
	@File_Date DATETIME,
	@File_Bytes VARBINARY(MAX),
	@CreatedBy_User_Name USERNAME,
	@CreatedOn_Date DATETIME
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	INSERT INTO [ConfigurationFileVersions] 
	(
		[ConfigurationFile_Id],
		[Instance_Name],
		[Version_Number],
		[VersionNotes_Text],
		[File_Date],
		[File_Bytes],
		[CreatedBy_User_Name],
		[CreatedOn_Date]
	)
	VALUES
	(
		@ConfigurationFile_Id,
		@Instance_Name,
		@Version_Number,
		@VersionNotes_Text,
		@File_Date,
		@File_Bytes,
		@CreatedBy_User_Name,
		@CreatedOn_Date
	)

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [ConfigurationFiles_ImportConfigurationFileVersion] TO [BuildMasterUser_Role]
