EXEC [__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Issues_GetIssues',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Issues_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the issues for an application, optionally filtered by release or build.'
GO


IF OBJECT_ID('[Issues_GetIssues]') IS NOT NULL DROP PROCEDURE [Issues_GetIssues]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Issues_GetIssues]
(
    @Application_Id INT,
    @Release_Number RELEASENUMBER = NULL
)
AS
BEGIN

    SET NOCOUNT ON

    SELECT IE.*
      FROM [Issues_Extended] IE
     WHERE (@Application_Id IS NULL OR IE.[Application_Id] = @Application_Id)
       AND (@Release_Number IS NULL OR IE.[Release_Number] = @Release_Number)
  ORDER BY [Application_Name], [Release_Sequence] DESC, [Closed_Indicator], [Issue_Id] DESC

END
GO

GRANT EXECUTE ON [Issues_GetIssues] TO [BuildMasterUser_Role]
