EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Packages_GetPackages',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ 'Packages_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the packages that match the specified criteria.'
GO

IF OBJECT_ID('[Packages_GetPackages]') IS NOT NULL DROP PROCEDURE [Packages_GetPackages]
GO


SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Packages_GetPackages]
(
    @Package_Name NVARCHAR(255) = NULL,
	@PackageSource_Name VARCHAR(50) = NULL,
	@Version_Text NVARCHAR(50) = NULL,
	@Application_Id INT = NULL,
	@Build_Id INT = NULL
)
AS
BEGIN

SET NOCOUNT ON

	SELECT * 
	  FROM [Packages_Extended]
	 WHERE (@Package_Name IS NULL OR [Package_Name] = @Package_Name)
	   AND (@PackageSource_Name IS NULL OR [PackageSource_Name] = @PackageSource_Name)
	   AND (@Version_Text IS NULL OR [Version_Text] = @Version_Text)
	   AND (@Build_Id IS NULL OR [Build_Id] = @Build_Id)
	   AND (@Application_Id IS NULL OR [Application_Id] = @Application_Id)


END
GO

GRANT EXECUTE ON [Packages_GetPackages] TO [BuildMasterUser_Role]
